function [rgb]=set_figure_env()

% figure;                                     % select figure pane
 width=3.5;                                     % width of figure
height=width*0.75;                             % 75% width keeps default ratio
 set(groot, 'defaultFigurePaperPositionMode', 'auto');       % turn off 'auto' so it doesn't resize upon printing
 papersize = get(groot, 'defaultFigurePaperSize');             % for US paper, 8.5 x 11
 left = (papersize(1)- width)/2;
 bottom = (papersize(2)- height)/2;
 %set(groot, 'defaultFigurePosition', [.25 .25 8 6]);  % middle of page
set(groot, ...
'DefaultFigureColor', 'w', ...
'DefaultAxesLineWidth', 1.0, ...
'DefaultAxesXColor', 'k', ...
'DefaultAxesYColor', 'k', ...
'DefaultAxesFontUnits', 'points', ...
'DefaultAxesFontSize', 12, ...
'DefaultAxesFontName', 'Helvetica', ...
'DefaultLineLineWidth', 2, ...
'DefaultTextFontUnits', 'Points', ...
'DefaultTextFontSize', 12, ...
'DefaultTextFontName', 'Helvetica', ...
'DefaultAxesBox', 'off', ...
'DefaultAxesTickLength', [0.02 0.02]);
 
% set the tickdirs to go out - need this specific order
set(groot, 'DefaultAxesTickDir', 'out');
set(groot, 'DefaultAxesTickDirMode', 'manual');
rgb=[[1 0 0];[0 0 1];[0, 0.65, 0];[1 0 1];[0, 0.4470, 0.7410];[0.8500, 0.3250, 0.0980];[0.6350, 0.0780, 0.1840];];
rgb=[rgb;rgb;rgb;rgb];
%%
